Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.collections
Class IdentityMap.IdentityMapEntry<K,V>

    java.lang.Object
      org.hibernate.internal.util.collections.IdentityMap.IdentityMapEntry<K,V>

All Implemented Interfaces:
  Map.Entry<K,V>

Enclosing class:
  IdentityMap<K,V>

    public static final class IdentityMap.IdentityMapEntry<K,V>

extends Object
implements Map.Entry<K,V>

Method Summary
`K` | `getKey()`
`V` | `getValue()`
`V` | `setValue(V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Method Detail

### getKey

    public K getKey()

  Specified by:
    `getKey` in interface `Map.Entry<K,V>`

### getValue

    public V getValue()

  Specified by:
    `getValue` in interface `Map.Entry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.